% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DOYPAColors_functions.R
\name{preview_doypa_pals}
\alias{preview_doypa_pals}
\title{Preview DOYPAColors palettes}
\usage{
preview_doypa_pals(palette = NULL, colors = NULL)
}
\arguments{
\item{palette}{Character string specifying the name of a specific DOYPAColors palette to preview. If provided, this overrides 'colors'.}

\item{colors}{A vector of colors to preview.}
}
\value{
A 'ggplot' visualization of DOYPAColors color palettes for exploring and selecting color schemes in your data visualizations.
}
\description{
This function generates a visual preview of DOYPAColors color palettes, allowing you to explore and select color schemes for your data visualizations.
}
\examples{
# Preview a specific DOYPAColors palette by name
preview_doypa_pals(palette = "buzz")

# Preview a custom vector of colors
custom_colors <- c("#FF5733", "#33FF57", "#5733FF")
preview_doypa_pals(colors = custom_colors)

# Preview all available DOYPAColors palettes
preview_doypa_pals()
}
